Skip to main content
POST
Create
🔑 Requires the schedule_pay_configs.update scope.

Authorizations

Authorization
string
header
required

API key from your incident.io dashboard (Settings → API keys)

Path Parameters

pay_config_id
string
required

The pay config's ID

Example:

"01G0J1EXE7AXZ2C93K61WBPYEH"

Body

application/json
end_at
string<date-time>
required

When this rule stops applying

Example:

"2021-08-17T13:28:57.801578Z"

name
string
required

Human readable name for this rule

Example:

"Christmas day"

rate_cents
integer<int64>
required

Rate paid while this rule applies, in the lowest denomination of the config's currency

Example:

4800

start_at
string<date-time>
required

When this rule starts applying

Example:

"2021-08-17T13:28:57.801578Z"

Response

Created response.

one_off_rule
object
required

A rule that applies over a single window of time, such as a public holiday. One-off rules take precedence over weekly rules, and may not overlap each other.